Chromium or Edge

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderator: trava90

Post Reply
Tony0945
Moon lover
Moon lover
Posts: 83
Joined: 2015-08-22, 23:59
Location: Chicago suburbs

Chromium or Edge

Post by Tony0945 » 2020-05-14, 03:04

Tried to order some CD's from www.radiospirits.com got this at the "proceed to checkout" click:
Secure Connection Failed

The connection to www.radiospirits.com was interrupted while the page was loading.

The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
Please contact the website owners to inform them of this problem.
I contacted their tech support by e-mail and got back:
Thank you for contacting RadioSpirits.com. We apologize for the technical
difficulties you experienced while attempting to place your order.

Please try using the Chrome Browser or the Microsoft Edge browser when
placing your order. These browsers should work.

Have a nice day.

No, this wasn't XP. Nor was it compiled. This was Linux Pale Moon v 28.9.3 64-bit, unmodified from binary download, Gentoo Linux updated yesterday, both running in safe mode, and running normally.
It sounds like they don't want any Firefox -related browsers at all. No wonder their CD's are on sale.

User avatar
therube
Board Warrior
Board Warrior
Posts: 1277
Joined: 2018-06-08, 17:02

Re: Chromium or Edge

Post by therube » 2020-05-14, 03:34

FF states:
Secure Connection Failed

An error occurred during a connection to www.radiospirits.com. Peer using unsupported version of security protocol.

Error code: SSL_ERROR_UNSUPPORTED_VERSION

The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
Please contact the website owners to inform them of this problem.

Learn more…

This website might not support the TLS 1.2 protocol, which is the minimum version supported by Nightly. Enabling TLS 1.0 and TLS 1.1 might allow this connection to succeed.

TLS 1.0 and TLS 1.1 will be permanently disabled in a future release.
So it can work (presumably in PM too), but the question is, do you want to (should you) let it work?

https://support.mozilla.org/en-US/kb/se ... ot-connect

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 26674
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: Chromium or Edge

Post by Moonchild » 2020-05-14, 06:51

Most likely they have an old and insecure https server setup.
viewtopic.php?f=24&t=6262
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

Tony0945
Moon lover
Moon lover
Posts: 83
Joined: 2015-08-22, 23:59
Location: Chicago suburbs

Re: Chromium or Edge

Post by Tony0945 » 2020-05-15, 19:26

SOLVED!

It was point 3, RC4.
This explains how I was able to order for Christmas 2017 but not now. Pale moon has marched on, but Radio Spirits has not.
Made me a little worried about leaving my credit card number with them, but the bank, Capital One, has been really good about bogus charges from chewy.com (I don't even have a pet).

Tony0945
Moon lover
Moon lover
Posts: 83
Joined: 2015-08-22, 23:59
Location: Chicago suburbs

Re: Chromium or Edge

Post by Tony0945 » 2020-05-15, 19:38

Thought you might like to know the results of their suggestions.

1. Installed google-chrome on Gentoo Linux. Open source Chromium is a monster to compile. When I launched chrome, it immediately crashed.

2. Installed Microsoft Edge on a virtualbox virtual windows 10. It ran (and what garbage are both Win 10 and Edge!), but when I clicked the submit order button, not only did Edge crash but the entire VM crashed. I suppose this is Micro$oft's new and improved BSOD.

PM didn't do either of those!

User avatar
adesh
Keeps coming back
Keeps coming back
Posts: 952
Joined: 2017-06-06, 07:38

Re: Chromium or Edge

Post by adesh » 2020-05-15, 21:03

Tony0945 wrote:
2020-05-15, 19:38
not only did Edge crash but the entire VM crashed.
Off-topic:
I've seen a line somewhere or a meme image along those lines.

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Chromium or Edge

Post by stevepusser » 2020-05-16, 03:34

Tony0945 wrote:
2020-05-15, 19:38
....

1. Installed google-chrome on Gentoo Linux. Open source Chromium is a monster to compile.
...
...
LOL, tell me about it. Cr takes maybe ten times as long as Pale Moon to build on my gaming laptop for MX Linux packages ( I found a way to patch Debian upstream's version to fix the va-api hardware acceleration, which is borked, based on what ungoogled-chromium is also doing. I reported the "one simple fix" to Debian's bug tracker, but no action so far.

Maybe Pale Moon will support va-api one of these days...

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 26674
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: Chromium or Edge

Post by Moonchild » 2020-05-16, 10:13

stevepusser wrote:
2020-05-16, 03:34
Maybe Pale Moon will support va-api one of these days...
We've already discussed this before...
Pale Moon on Linux doesn't use va-api because the video is handed off to ffmpeg for decoding. I'm assuming ffmpeg can be built with va-api support, in which case that would work, wouldn't it?
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Chromium or Edge

Post by stevepusser » 2020-05-17, 06:54

It doesn't use va-api out of the box, though the ffmpeg I'm using supports it. I assume there's some kind of special argument you have to pass to libavcodec to get it to use va-api.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 26674
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: Chromium or Edge

Post by Moonchild » 2020-05-17, 10:51

stevepusser wrote:
2020-05-17, 06:54
It doesn't use va-api out of the box, though the ffmpeg I'm using supports it. I assume there's some kind of special argument you have to pass to libavcodec to get it to use va-api.
That would still fall outside of our realm though, wouldn't it?
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Chromium or Edge

Post by stevepusser » 2020-05-18, 05:41

Moonchild wrote:
2020-05-17, 10:51
stevepusser wrote:
2020-05-17, 06:54
It doesn't use va-api out of the box, though the ffmpeg I'm using supports it. I assume there's some kind of special argument you have to pass to libavcodec to get it to use va-api.
That would still fall outside of our realm though, wouldn't it?
Unless Pale Moon has to be the one to pass it to libavcodec, I guess. But I'm just arm waving without any deep knowledge of the situation. The standard Debian Buster version of Chromium uses the system's va-api-supporting ffmpeg for video playback, and doesn't support va-api at all, which is why I go to the trouble of backporting and adjusting the patch on upstream Debian's version for Buster to make sure it does work on MX Linux. Of course, if you have a really old and slow machine that could benefit the most from acceleration, you may be limited in the codecs the hardware will support, though h.264 support has been around for quite a while.

Post Reply